Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# num_channels Struct Template Reference
[Algorithms and Utility Functions]

`#include <pixel.hpp>`

## Detailed Description

### template<typename PixelBased>
struct boost::gil::num_channels< PixelBased >

Returns the number of channels of a pixel-based GIL construct.

The documentation for this struct was generated from the following file:

- pixel.hpp